org.apache.pdfbox.pdmodel.graphics.blend

## Class BlendComposite

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.blend.BlendComposite

All Implemented Interfaces:
  Composite

    public final class BlendComposite
    extends Object
    implements Composite

AWT composite for blend modes.

Author:
  Kühn & Weyh Software GmbH

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CompositeContext` `createContext(ColorModel srcColorModel, ColorModel dstColorModel, RenderingHints hints)`
`static Composite` `getInstance(BlendMode blendMode, float constantAlpha)` Creates a blend composite

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static Composite getInstance(BlendMode blendMode,
                                        float constantAlpha)

Creates a blend composite

Parameters:
  `blendMode` - Desired blend mode
  `constantAlpha` - Constant alpha, must be in the inclusive range [0.0...1.0] or it will be clipped.
Returns:
  a blend composite.

#### createContext

    public CompositeContext createContext(ColorModel srcColorModel,
                                          ColorModel dstColorModel,
                                          RenderingHints hints)

Specified by:
  `createContext` in interface `Composite`